Bug 237237 - qdiskd cannot start, Could not determine local node ID
qdiskd cannot start, Could not determine local node ID
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 05:13 EDT by Edouard Bourguignon
Modified: 2008-05-06 15:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2007-04-20 05:13:26 EDT
Description of problem:

qdiskd can't start because it cannot determine local node ID

Version-Release number of selected component (if applicable):

cman-2.0.60-1.fc6

How reproducible:

static


Steps to Reproduce:
1. yum install cman
2. qdiskd or service qdiskd start
  
Actual results:

qdiskd fails to start: Could not determine local node ID; cannot start

Expected results:

qdiskd should detect the local node ID and start correctly, providing quorum
disk and heuristic capabilities to the cman cluster. Qdisk is important in a two
nodes cluster w/o power fencing devices.
Comment 1 Edouard Bourguignon 2007-04-24 14:42:10 EDT
I found a patch somewhere, a memset was missing in the qdiskd source code. Now
it works perfectly

diff -r -u -p cman-2.0.35/cman/qdisk/main.c cman-2.0.35.orig/cman/qdisk/main.c
--- cman-2.0.35/cman/qdisk/main.c	2006-10-03 20:06:40.000000000 +0200
+++ cman-2.0.35.orig/cman/qdisk/main.c	2007-01-04 17:13:18.000000000 +0100
@@ -957,6 +957,7 @@ main(int argc, char **argv)
 		return -1;
 	}
 
+	memset(&me, 0, sizeof(me));
 	if (cman_get_node(ch, CMAN_NODEID_US, &me) < 0) {
 		printf("Could not determine local node ID; cannot start\n");
 		return -1;


--

thanks to Simone Gotti
Comment 2 Lon Hohberger 2007-05-07 15:09:18 EDT
This has been fixed in CVS for some time - and will be picked up next time we do
a FC6 update.
Comment 3 Bug Zapper 2008-04-04 02:54:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:31:05 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.